Xerces 3.1.1

## org.apache.html.dom
Class HTMLTableRowElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTableRowElementImpl

public final class HTMLTableRowElementImpl
extends HTMLElementImpl
implements HTMLTableRowElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
See Also:
  `HTMLTableRowElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableRowElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` `deleteCell(int index)` Delete a cell from the current row.
`java.lang.String` `getAlign()` Horizontal alignment of data within cells of this row.
`java.lang.String` `getBgColor()` Background color for rows.
`HTMLCollection` `getCells()` The collection of cells in this row.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getRowIndex()` The index of this row, relative to the entire table, starting from 0.
`int` `getSectionRowIndex()` The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ), starting from 0.
`java.lang.String` `getVAlign()` Vertical alignment of data within cells of this row.
`HTMLElement` `insertCell(int index)` Insert an empty `TD` cell into this row.
`void` `setAlign(java.lang.String align)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setCells(HTMLCollection cells)`
`void` `setCh(java.lang.String ch)`
`void` `setChOff(java.lang.String chOff)`
`void` `setRowIndex(int rowIndex)`
`void` `setSectionRowIndex(int sectionRowIndex)`
`void` `setVAlign(java.lang.String vAlign)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableRowElementImpl

    public HTMLTableRowElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getRowIndex

    public int getRowIndex()

  Description copied from interface: HTMLTableRowElement
  The index of this row, relative to the entire table, starting from 0. This is in document tree order and not display order. The `rowIndex` does not take into account sections ( `THEAD` , `TFOOT` , or `TBODY` ) within the table.
  Specified by:
    getRowIndex in interface HTMLTableRowElement

### setRowIndex

    public void setRowIndex(int rowIndex)

### getSectionRowIndex

    public int getSectionRowIndex()

  Description copied from interface: HTMLTableRowElement
  The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ), starting from 0.
  Specified by:
    getSectionRowIndex in interface HTMLTableRowElement

### setSectionRowIndex

    public void setSectionRowIndex(int sectionRowIndex)

### getCells

    public HTMLCollection getCells()

  Description copied from interface: HTMLTableRowElement
  The collection of cells in this row.
  Specified by:
    getCells in interface HTMLTableRowElement

### setCells

    public void setCells(HTMLCollection cells)

### insertCell

    public HTMLElement insertCell(int index)

  Description copied from interface: HTMLTableRowElement
  Insert an empty `TD` cell into this row. If `index` is equal to the number of cells, the new cell is appended
  Specified by:
    insertCell in interface HTMLTableRowElement
  Tags copied from interface: HTMLTableRowElement
  Parameters:
    `index` - The place to insert the cell, starting from 0.
  Returns:
    The newly created cell.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified `index` is greater than the number of cells.

### deleteCell

    public void deleteCell(int index)

  Description copied from interface: HTMLTableRowElement
  Delete a cell from the current row.
  Specified by:
    deleteCell in interface HTMLTableRowElement
  Tags copied from interface: HTMLTableRowElement
  Parameters:
    `index` - The index of the cell to delete, starting from 0.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified `index` is greater than or equal to the number of cells.

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLTableRowElement
  Horizontal alignment of data within cells of this row. See the align attribute definition in HTML 4.0.
  Specified by:
    getAlign in interface HTMLTableRowElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLTableRowElement

### getBgColor

    public java.lang.String getBgColor()

  Description copied from interface: HTMLTableRowElement
  Background color for rows. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getBgColor in interface HTMLTableRowElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface HTMLTableRowElement

### getCh

    public java.lang.String getCh()

  Description copied from interface: HTMLTableRowElement
  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.
  Specified by:
    getCh in interface HTMLTableRowElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface HTMLTableRowElement

### getChOff

    public java.lang.String getChOff()

  Description copied from interface: HTMLTableRowElement
  Offset of alignment character. See the charoff attribute definition in HTML 4.0.
  Specified by:
    getChOff in interface HTMLTableRowElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface HTMLTableRowElement

### getVAlign

    public java.lang.String getVAlign()

  Description copied from interface: HTMLTableRowElement
  Vertical alignment of data within cells of this row. See the valign attribute definition in HTML 4.0.
  Specified by:
    getVAlign in interface HTMLTableRowElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface HTMLTableRowElement

Xerces 3.1.1